Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.mappings
Class EISCompositeObjectMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.AggregateMapping
oracle.toplink.mappings.foundation.AbstractCompositeObjectMapping
oracle.toplink.eis.mappings.EISCompositeObjectMapping`

All Implemented Interfaces:
  java.lang.Cloneable, oracle.toplink.eis.mappings.EISMapping, java.io.Serializable

public class EISCompositeObjectMapping
extends AbstractCompositeObjectMapping
implements oracle.toplink.eis.mappings.EISMapping

EIS Composite Object Mappings map a Java object to a privately owned, one-to-one relationship to an EIS Record according to its descriptor's record type.

Record Type | Description
--- | ---
Indexed | Ordered collection of record elements. The indexed record EIS format enables Java class attribute values to be retreived by position or index.
Mapped | Key-value map based representation of record elements. The mapped record EIS format enables Java class attribute values to be retreived by an object key.
XML | DatabaseRow/Map representation of an XML DOM element.

Since:
  Oracle TopLink 10g Release 2 (10.1.3)
See Also:
  `EISDescriptor.useIndexedRecordFormat()`, `EISDescriptor.useMappedRecordFormat()`, `EISDescriptor.useXMLRecordFormat()`, Serialized Form

Constructor Summary
`EISCompositeObjectMapping()`

Method Summary
`java.lang.String` | `getFieldName()` PUBLIC: Return the name of the field mapped by the mapping.
`java.lang.String` | `getXPath()` Get the XPath String
`void` | `setFieldName(java.lang.String fieldName)` PUBLIC: Set the name of the field mapped by the mapping.
`void` | `setXPath(java.lang.String xpathString)` Set the Mapping field name attribute to the given XPath String

Methods inherited from class oracle.toplink.mappings.AggregateMapping
`getReferenceClass, setReferenceClass`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeClassification, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EISCompositeObjectMapping

    public EISCompositeObjectMapping()

Method Detail

### getXPath

    public java.lang.String getXPath()

  Get the XPath String
  Returns:
    String the XPath String associated with this Mapping

### setXPath

    public void setXPath(java.lang.String xpathString)

  Set the Mapping field name attribute to the given XPath String
  Parameters:
    `xpathString` - String

### getFieldName

    public java.lang.String getFieldName()

  PUBLIC: Return the name of the field mapped by the mapping.

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  PUBLIC: Set the name of the field mapped by the mapping.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD